%global debug_package %{nil}
Name:           gnome-tour
Version:        3.38.0
Release:        1
Summary:        GNOME Tour and Greeter
License:        GPLv3+ and CC-BY-SA
URL:            https://gitlab.gnome.org/GNOME/gnome-tour
Source0:        https://download.gnome.org/sources/gnome-tour/3.38/gnome-tour-%{version}.tar.xz

BuildRequires:  meson pkgconfig(glib-2.0) pkgconfig(gio-2.0) pkgconfig(gdk-pixbuf-2.0) pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gstreamer-1.0) pkgconfig(gstreamer-video-1.0) pkgconfig(gstreamer-player-1.0)
BuildRequires:  pkgconfig(libhandy-1) libappstream-glib desktop-file-utils rust-packaging

Requires: gstreamer1-plugins-good-gtk%{?_isa}

Obsoletes: gnome-getting-started-docs < 3.38.1-1
Obsoletes: gnome-getting-started-docs-cs < 3.38.1-1
Obsoletes: gnome-getting-started-docs-de < 3.38.1-1
Obsoletes: gnome-getting-started-docs-es < 3.38.1-1
Obsoletes: gnome-getting-started-docs-fr < 3.38.1-1
Obsoletes: gnome-getting-started-docs-gl < 3.38.1-1
Obsoletes: gnome-getting-started-docs-it < 3.38.1-1
Obsoletes: gnome-getting-started-docs-pl < 3.38.1-1
Obsoletes: gnome-getting-started-docs-pt_BR < 3.38.1-1
Obsoletes: gnome-getting-started-docs-ru < 3.38.1-1

%description
A guided tour and greeter for GNOME.Tour uses by default the logo of the distribution
based on the info from `/etc/os-release`. The application comes with a feature to replace
the logo with a welcome video shipped by the distribution.


%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang gnome-tour

%check
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/metainfo/org.gnome.Tour.metainfo.xml
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.Tour.desktop

%files -f gnome-tour.lang
%license LICENSE.md
%doc NEWS README.md
%{_bindir}/gnome-tour
%{_datadir}/applications/org.gnome.Tour.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Tour.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Tour-symbolic.svg
%{_datadir}/metainfo/org.gnome.Tour.metainfo.xml

%changelog
* Wed Jun 30 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.0-1
- Package init with 3.38.0
